petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateGlobalVector

Creates a global vector from a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMCreateGlobalVector(DM dm,Vec *vec)

Collective on DM

### Input Parameter

dm -the DM object

### Output Parameter

vec -the global vector

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html

### Implementations

DMCreateGlobalVector_Composite in src/dm/impls/composite/pack.c
DMCreateGlobalVector_DA in src/dm/impls/da/dadist.c
DMCreateGlobalVector_pforest in src/dm/impls/forest/p4est/pforest.c
DMCreateGlobalVector_Moab in src/dm/impls/moab/dmmbvec.cxx
DMCreateGlobalVector_Network in src/dm/impls/network/networkcreate.c
DMCreateGlobalVector_Patch in src/dm/impls/patch/patch.c
DMCreateGlobalVector_Plex in src/dm/impls/plex/plexcreate.c
DMCreateGlobalVector_Redundant in src/dm/impls/redundant/dmredundant.c
DMCreateGlobalVector_Shell in src/dm/impls/shell/dmshell.c
DMCreateGlobalVector_Sliced in src/dm/impls/sliced/sliced.c
DMCreateGlobalVector_Swarm in src/dm/impls/swarm/swarm.c
DMCreateGlobalVector_SNESVI in src/snes/impls/vi/rs/virs.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages